GNU bug report logs - #5358
23.1; Adding comment loses customizations in progress

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Abrahams <dave@HIDDEN>; Keywords: confirmed; dated Mon, 11 Jan 2010 19:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as found in versions 25.0.95. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 5358 <at> debbugs.gnu.org:


Received: (at 5358) by debbugs.gnu.org; 19 Feb 2016 16:18:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 11:18:22 2016
Received: from localhost ([127.0.0.1]:34203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWnl8-00049m-8V
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2016 11:18:22 -0500
Received: from mail-qg0-f46.google.com ([209.85.192.46]:36671)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>) id 1aWnl6-00049Y-4X
 for 5358 <at> debbugs.gnu.org; Fri, 19 Feb 2016 11:18:20 -0500
Received: by mail-qg0-f46.google.com with SMTP id y9so65815870qgd.3
 for <5358 <at> debbugs.gnu.org>; Fri, 19 Feb 2016 08:18:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=t++xewuscy6oCMi+Oh6R+VC+wAKGDdg6hFzgL8nMkUY=;
 b=AblYe0pLxI4k+gszAIOq8NkXK9m9qIxAo44M7wDu2g3dmg8xcXCmqamJdu5kMKdEcD
 lPoN7IulUT+zsucmS2QPLMjl3IlK/DDvSAbIUQaU8fCe58ix2NxpQnsrEAlOHnT5ZRgN
 8CQqXryYX5IP5jbso8egh1oyvk59zaVj74DUpXyWbV/+9T0hMUYQ4/yzrASsKJYuF+2B
 SGbJsBe3+pF2+yWvgNGf2j6YSaHJd48jDuUIuTCeYRrzUDlxAtjP46/xS2KtpVbS0OL9
 hhp+cWw4mmR7q+/TBjfImyJnnvXJnD6MmP+Jwl+2KGqoCDRRhUAAXYvP9jpK0pmwR5Jt
 xlwA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=t++xewuscy6oCMi+Oh6R+VC+wAKGDdg6hFzgL8nMkUY=;
 b=b/IPcKiEenS2ReimxTlQrembbDUMjvTTMgZ91iNW3aNSKVVurWk4r1X/k8iC2eE0KR
 N5qhryh6u+X5u70YG/udiMRu+Kq32aWWgkEXse420m2Py472bHwpFBW41o+efbylmfUA
 OG2nSxDAqmMl7YiWaiQsRDzUmaHQ/pS6/tdBfuYR4xorBaANG6ipuh4SBNp0ey272qYP
 Os79Uzyr7c6KbeuKJnzPuiY2DhQ1d3WY1aE7fuR/H9iPtd+MheutiQjJ4Wgw901jHD3R
 H/ggN1pjOnwI/ykD0H4AdSpO9opJVBaempLxExMbEn3ezvJnIg0lF5yhD8qcfjmIs46h
 P+Zw==
X-Gm-Message-State: AG10YOReZz0puNp6T+JukyLXW25B+x6e4WPyUuizUDg01FlMRY3udX6UnfUM9oWhhd2OGw==
X-Received: by 10.140.160.130 with SMTP id g124mr17683833qhg.88.1455898694750; 
 Fri, 19 Feb 2016 08:18:14 -0800 (PST)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id n203sm4915010qhc.43.2016.02.19.08.18.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 19 Feb 2016 08:18:12 -0800 (PST)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#5358: 23.1; Adding comment loses customizations in progress
References: <m2zl4ka0pd.wl%dave@HIDDEN> <m21t8cyp2m.fsf@HIDDEN>
 <m2bn7eyr2j.fsf@HIDDEN> <cny4aivubl.fsf@HIDDEN>
Date: Fri, 19 Feb 2016 11:18:11 -0500
In-Reply-To: <cny4aivubl.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 18 Feb 2016 11:47:58 -0500")
Message-ID: <m2povsy8qk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5358
Cc: Dave Abrahams <dave@HIDDEN>, 5358 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Thanks, now I see it.

Now that I see it, I was able to reproduce this bug on Emacs 25.

Glenn Morris <rgm@HIDDEN> writes:

> ?
>
> M-x customize-variable RET fill-column RET
> Click "State", see "Add Comment".
>
> (Current master.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5358; Package emacs. Full text available.

Message received at 5358 <at> debbugs.gnu.org:


Received: (at 5358) by debbugs.gnu.org; 18 Feb 2016 16:48:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 11:48:15 2016
Received: from localhost ([127.0.0.1]:33130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWRkV-00066f-Me
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2016 11:48:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38796)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rgm@HIDDEN>) id 1aWRkU-00066S-GI
 for 5358 <at> debbugs.gnu.org; Thu, 18 Feb 2016 11:48:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1aWRkO-0005EF-4Z
 for 5358 <at> debbugs.gnu.org; Thu, 18 Feb 2016 11:48:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51643)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1aWRkH-0005DV-IZ; Thu, 18 Feb 2016 11:48:01 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1aWRkF-00005T-3a; Thu, 18 Feb 2016 11:47:59 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Dave Abrahams <dave@HIDDEN>
Subject: Re: bug#5358: 23.1; Adding comment loses customizations in progress
References: <m2zl4ka0pd.wl%dave@HIDDEN> <m21t8cyp2m.fsf@HIDDEN>
 <m2bn7eyr2j.fsf@HIDDEN>
X-Spook: SBI STARLAN morse Nationalist Drug Administration gamma S
X-Ran: ^e~d''R20#<7<wWlq{t$0iZ{qe:\WNO6/,;)Jy,my+sHTIyq+al^X+<H^&XgyK}lfD1`s,
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 18 Feb 2016 11:47:58 -0500
In-Reply-To: <m2bn7eyr2j.fsf@HIDDEN> (Dave Abrahams's message of "Thu, 
 18 Feb 2016 07:29:56 -0800")
Message-ID: <cny4aivubl.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 5358
Cc: Andrew Hyatt <ahyatt@HIDDEN>, 5358 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


?

M-x customize-variable RET fill-column RET
Click "State", see "Add Comment".

(Current master.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5358; Package emacs. Full text available.

Message received at 5358 <at> debbugs.gnu.org:


Received: (at 5358) by debbugs.gnu.org; 18 Feb 2016 15:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 10:30:06 2016
Received: from localhost ([127.0.0.1]:33102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWQWr-0004Cr-Gg
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2016 10:30:06 -0500
Received: from mail-pa0-f54.google.com ([209.85.220.54]:36199)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <dave@HIDDEN>) id 1aWQWp-0004Bi-LY
 for 5358 <at> debbugs.gnu.org; Thu, 18 Feb 2016 10:30:04 -0500
Received: by mail-pa0-f54.google.com with SMTP id yy13so32571243pab.3
 for <5358 <at> debbugs.gnu.org>; Thu, 18 Feb 2016 07:30:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=boostpro-com.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=gyhPPhqpxivO0hWM8sBVH2iZxhSvbiLsXwHH0WXnTxQ=;
 b=0h3mn3QuMCqLAyLZ5QdcGIa0AvSTBwwGSBABeYTXPkq4Np32WAI1fN3wFLjOwl2nmd
 ibFLtyTBCbxaCDO8f/YQtTqSQKQB5g2tOhcmVsfhcrHvQODywTjCNuV7ViiUVw6DFDxI
 Jv0w0MSFKsRNTGUjAaDmIO8YPs4xafByT9kweDdw2U+8jePWUMM5yeeX9h0vp8BStUhO
 MrpRs3m3gU0/oJe+/GU7GW7g5liCnn66HQPCVPUu/Tir91f7V88NBpSoPuURqq22p+5P
 D8AU0STo3s+ve6sPU05CoANojgqg1Q2yYv+xIe95BLTc9NQBiCQgKRhRhtfabRrJEqzH
 CC5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=gyhPPhqpxivO0hWM8sBVH2iZxhSvbiLsXwHH0WXnTxQ=;
 b=G8OKKZ8MerzrelpwCZfA7dibWQDHsKokYkpx+DJEcKXinHIilcdnTbAFUVDuS/aNV5
 m3HvLZOyE+teu4MzWQMR7Ol6MK12i1ThXVnWD+YqcpUC0V5qSt4iaHJJzstscJrLgXDq
 KcP6hU56jGQ/nfCCDFMWUK9xdQnvVi8+czxzuWHQCkiUj3nZK1SjMPjLOvwIPV5gyK7n
 09jkyk5d0XnU4sZhajeWOSa7U2Ac6KVjAnaKFjkO/qOA+ioBDGNQ8GNihmamr2jA+0bR
 nv2j21Bq+rz2/QulQFlj6xqGMLUOy0XK0mKVbD5PgHlJ0crElwqP9oyAQmqCl6M/xg9H
 4p8A==
X-Gm-Message-State: AG10YOT84S1nxrgJBWqdlFzRj0BhJhnwq3mDZsfdXFt6tej0dQVd07IUg/WK10dG4JyaqQ==
X-Received: by 10.66.145.105 with SMTP id st9mr10906077pab.32.1455809397955;
 Thu, 18 Feb 2016 07:29:57 -0800 (PST)
Received: from eno.apple.com ([17.212.145.127])
 by smtp.gmail.com with ESMTPSA id u84sm11124530pfa.57.2016.02.18.07.29.56
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Thu, 18 Feb 2016 07:29:56 -0800 (PST)
Received: by eno.apple.com (Postfix, from userid 501)
 id 5027096642B1; Thu, 18 Feb 2016 07:29:56 -0800 (PST)
From: Dave Abrahams <dave@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
Subject: Re: bug#5358: 23.1; Adding comment loses customizations in progress
References: <m2zl4ka0pd.wl%dave@HIDDEN> <m21t8cyp2m.fsf@HIDDEN>
Date: Thu, 18 Feb 2016 07:29:56 -0800
In-Reply-To: <m21t8cyp2m.fsf@HIDDEN> (Andrew Hyatt's message of "Tue, 16
 Feb 2016 22:48:33 -0500")
Message-ID: <m2bn7eyr2j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5358
Cc: 5358 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


There's an choice in the customization UI on emacsen < 24.5 that lets you add
a comment to any customization, but now I don't see it.  Apparently that
feature was dropped :(

on Tue Feb 16 2016, Andrew Hyatt <ahyatt-AT-gmail.com> wrote:

> Sorry, I don't understand this bug report. What do you mean by adding
> comments?
>
> David Abrahams <dave@HIDDEN> writes:
>
>> Please write in English if possible, because the Emacs maintainers
>> usually do not have translators to read other languages for them.
>>
>> Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
>> and to the gnu.emacs.bug news group.
>>
>> Please describe exactly what actions triggered the bug
>> and the precise symptoms of the bug:
>>
>> Using the customization interface, I can make a change to a variable,
>> then try to add a comment before saving.  When I do that, the changes
>> I've already made are lost.
>>
>> If Emacs crashed, and you have the Emacs process in the gdb debugger,
>> please include the output from the following gdb commands:
>>     `bt full' and `xbacktrace'.
>> If you would like to further debug the crash, please read the file
>> /Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.
>>
>>
>> In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>>  of 2009-08-16 on black.local
>> Windowing system distributor `Apple', version 10.3.1038
>> configured using `configure  '--with-ns''
>>
>> Important settings:
>>   value of $LC_ALL: nil
>>   value of $LC_COLLATE: nil
>>   value of $LC_CTYPE: nil
>>   value of $LC_MESSAGES: nil
>>   value of $LC_MONETARY: nil
>>   value of $LC_NUMERIC: nil
>>   value of $LC_TIME: nil
>>   value of $LANG: nil
>>   value of $XMODIFIERS: nil
>>   locale-coding-system: nil
>>   default-enable-multibyte-characters: t
>>
>> Major mode: Custom
>>
>> Minor modes in effect:
>>   diff-auto-refine-mode: t
>>   shell-dirtrack-mode: t
>>   show-paren-mode: t
>>   server-mode: t
>>   global-auto-revert-mode: t
>>   delete-selection-mode: t
>>   tooltip-mode: t
>>   mouse-wheel-mode: t
>>   menu-bar-mode: t
>>   file-name-shadow-mode: t
>>   global-font-lock-mode: t
>>   font-lock-mode: t
>>   global-auto-composition-mode: t
>>   auto-composition-mode: t
>>   auto-encryption-mode: t
>>   auto-compression-mode: t
>>   line-number-mode: t
>>   transient-mark-mode: t
>>
>> Recent input:
>> C-n C-n C-p C-p C-. C-. C-. C-b C-b <return> C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-e <backspace> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p C-p C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
>> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-p C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-a C-p C-. C-. C-, <return> 
>> 7 C-n C-n C-n C-e M-< C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-e C-p C-e <backspace> 
>> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p 
>> C-p C-p C-p C-p C-p C-p C-p C-x C-s C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
>> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p <M-return> 
>> <C-return> C-q C-j I SPC r e a l l y SPC d o n ' t 
>> SPC w a n t SPC t o SPC s e t e <backspace> <backspace> 
>> e SPC H T M L S-SPC u n l e s s SPC i <backspace> t 
>> h a t ' s SPC a l l SPC t h e r e SPC i s . <backspace> 
>> C-c C-c C-x C-s C-p C-p C-p C-p C-p C-p C-p C-p C-p 
>> C-p C-p M-x r e p o <tab> r <tab> b <tab> <return>
>>
>> Recent messages:
>> Mark set [2 times]
>> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
>> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
>> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
>> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
>> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
>> Making completion list...

-- 
-Dave




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5358; Package emacs. Full text available.

Message received at 5358 <at> debbugs.gnu.org:


Received: (at 5358) by debbugs.gnu.org; 17 Feb 2016 03:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 22:48:43 2016
Received: from localhost ([127.0.0.1]:38742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVt6Z-0004V1-Kt
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 22:48:43 -0500
Received: from mail-qg0-f42.google.com ([209.85.192.42]:34058)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>) id 1aVt6Y-0004Up-MV
 for 5358 <at> debbugs.gnu.org; Tue, 16 Feb 2016 22:48:43 -0500
Received: by mail-qg0-f42.google.com with SMTP id b67so3414253qgb.1
 for <5358 <at> debbugs.gnu.org>; Tue, 16 Feb 2016 19:48:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=JadvfsPnAh/Q9iGEIB6gr7uMuG0HuPDypcv689vkmnk=;
 b=zRkSu6xrlzsepES8XsEpcFomc3bwtlgYWPhDs+765l7l7vC3JgtUSMoRK3HmpCeJMO
 3yRNh9Q5HZ8SUgVuXUeG8bEFKiElsf2qABK3KJp4Zn85kHosux0iFOrDLAeJTXY7gDgm
 0Uf8mp9DvtsIGKh+EmyWL8+oOtexnqfSdexQ5IAfmsZd3bgPXJvogMv7Uy56uimif7ju
 kDpaXgCPF7Px4Em5smo5Ur3rFozVHUSxE3vQxY3OXfhKdPfe5XEFZ3bhSt/BlZ6RxZEH
 i8SYGaTe7aPpjGaJpgAF5/QbLspE13n44DZNvFMue5yH0O2ltbPrTiBk5rY2QLG2vOSP
 AZ4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=JadvfsPnAh/Q9iGEIB6gr7uMuG0HuPDypcv689vkmnk=;
 b=BcWL4x1X01xW2IbdSz1o8sOIz8dCTf6am1FiFTrVVrDWbfqdFtiebofxEkKHu57yPa
 vh7czFkpm85g7eu6wbACwPBhPTOMG+2zSUiEoaixk8FHB5s6Qm03rRRKvgU+Dv94Xymx
 /KqbYgI1Vjgs+3TCIu4MRRIr9raphHcnQoUB5BpIBGh8GV1DUXT8OQfik6SQ4TN5Z8wI
 HZwXW8HWFegX4/mCdlep3WNFINyfP8hSncwxZxYFeXT7zqhBvTE+XDzUvL/9c1jMfcqV
 /w7GlvWljUUAQ2tCUZa2Wb6q37k8ujaWMmla2yX8pKZPcx1TyH7bb/RQzQVT3bL8yPK6
 6+0A==
X-Gm-Message-State: AG10YOQl8ZV9+wbdGnPYsJ/4Q82/Vj4f9sl+mbUQXzwNJOyFNLxiBkSmMSuotkGoaEikpg==
X-Received: by 10.140.100.141 with SMTP id s13mr31194371qge.25.1455680917415; 
 Tue, 16 Feb 2016 19:48:37 -0800 (PST)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id y127sm14668751qky.4.2016.02.16.19.48.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 16 Feb 2016 19:48:35 -0800 (PST)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: David Abrahams <dave@HIDDEN>
Subject: Re: bug#5358: 23.1; Adding comment loses customizations in progress
References: <m2zl4ka0pd.wl%dave@HIDDEN>
Date: Tue, 16 Feb 2016 22:48:33 -0500
In-Reply-To: <m2zl4ka0pd.wl%dave@HIDDEN> (David Abrahams's message of
 "Mon, 11 Jan 2010 14:41:34 -0500")
Message-ID: <m21t8cyp2m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5358
Cc: 5358 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Sorry, I don't understand this bug report. What do you mean by adding
comments?

David Abrahams <dave@HIDDEN> writes:

> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
>
> Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
> and to the gnu.emacs.bug news group.
>
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
>
> Using the customization interface, I can make a change to a variable,
> then try to add a comment before saving.  When I do that, the changes
> I've already made are lost.
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> If you would like to further debug the crash, please read the file
> /Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.
>
>
> In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>  of 2009-08-16 on black.local
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: nil
>   locale-coding-system: nil
>   default-enable-multibyte-characters: t
>
> Major mode: Custom
>
> Minor modes in effect:
>   diff-auto-refine-mode: t
>   shell-dirtrack-mode: t
>   show-paren-mode: t
>   server-mode: t
>   global-auto-revert-mode: t
>   delete-selection-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> C-n C-n C-p C-p C-. C-. C-. C-b C-b <return> C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> C-e <backspace> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
> C-p C-p C-p C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
> C-p C-p C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-p C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-a C-p C-. C-. C-, <return> 
> 7 C-n C-n C-n C-e M-< C-n C-n C-n C-n C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-e C-p C-e <backspace> 
> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p 
> C-p C-p C-p C-p C-p C-p C-p C-x C-s C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p <M-return> 
> <C-return> C-q C-j I SPC r e a l l y SPC d o n ' t 
> SPC w a n t SPC t o SPC s e t e <backspace> <backspace> 
> e SPC H T M L S-SPC u n l e s s SPC i <backspace> t 
> h a t ' s SPC a l l SPC t h e r e SPC i s . <backspace> 
> C-c C-c C-x C-s C-p C-p C-p C-p C-p C-p C-p C-p C-p 
> C-p C-p M-x r e p o <tab> r <tab> b <tab> <return>
>
> Recent messages:
> Mark set [2 times]
> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
> Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
> Wrote /Users/dave/src/elisp.repo/elisp/custom.el
> Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
> Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
> Making completion list...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5358; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2010 19:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 14:41:52 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NUQ99-0003P3-Ot
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2010 14:41:52 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dave@HIDDEN>) id 1NUQ98-0003Oy-5z
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2010 14:41:50 -0500
Received: from mx10.gnu.org ([199.232.76.166]:41037)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dave@HIDDEN>) id 1NUQ93-0002vv-TG
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2010 14:41:46 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <dave@HIDDEN>) id 1NUQ91-0000ok-II
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2010 14:41:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=AWL,BAYES_00,
	FORGED_RCVD_HELO,UNPARSEABLE_RELAY autolearn=ham version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:53098)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <dave@HIDDEN>) id 1NUQ91-0000oU-AJ
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2010 14:41:43 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NUQ90-0000yZ-UU
	for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2010 14:41:42 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NUQ8x-0000wj-1c
	for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2010 14:41:42 -0500
Received: from [199.232.76.173] (port=50253 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NUQ8w-0000wd-MJ
	for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2010 14:41:38 -0500
Received: from boost-consulting.com ([64.156.193.20]:54090)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <dave@HIDDEN>) id 1NUQ8w-0000lt-1M
	for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2010 14:41:38 -0500
Received: from zreba.local
	(207-172-223-249.c3-0.smr-ubr3.sbo-smr.ma.static.cable.rcn.com
	[207.172.223.249]) (Authenticated sender: dave)
	by boost-consulting.com (Postfix) with ESMTPSA id 0B19C1CC24;
	Mon, 11 Jan 2010 11:42:41 -0800 (PST)
Received: from zreba.local (localhost [127.0.0.1])
	by zreba.local (Postfix) with ESMTP id 424DD18D6FF3;
	Mon, 11 Jan 2010 14:41:35 -0500 (EST)
Date: Mon, 11 Jan 2010 14:41:34 -0500
Message-ID: <m2zl4ka0pd.wl%dave@HIDDEN>
From: David Abrahams <dave@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; Adding comment loses customizations in progress
User-Agent: Wanderlust/2.15.7 (Almost Unreal) SEMI/1.14.6 (Maruoka)
	FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.7 Emacs/23.1
	(i386-apple-darwin9.8.0) MULE/6.0 (HANACHIRUSATO)
Organization: BoostPro Computing
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-detected-operating-system: by monty-python.gnu.org: FreeBSD 6.x (1)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Using the customization interface, I can make a change to a variable,
then try to add a comment before saving.  When I do that, the changes
I've already made are lost.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.


In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-08-16 on black.local
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Custom

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  server-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-n C-p C-p C-. C-. C-. C-b C-b <return> C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-e <backspace> 0 C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-p C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-a C-p C-. C-. C-, <return> 
7 C-n C-n C-n C-e M-< C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-e C-p C-e <backspace> 
0 C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-x C-s C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p <M-return> 
<C-return> C-q C-j I SPC r e a l l y SPC d o n ' t 
SPC w a n t SPC t o SPC s e t e <backspace> <backspace> 
e SPC H T M L S-SPC u n l e s s SPC i <backspace> t 
h a t ' s SPC a l l SPC t h e r e SPC i s . <backspace> 
C-c C-c C-x C-s C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p M-x r e p o <tab> r <tab> b <tab> <return>

Recent messages:
Mark set [2 times]
Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
Wrote /Users/dave/src/elisp.repo/elisp/custom.el
Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
Saving file /Users/dave/src/elisp.repo/elisp/custom.el...
Wrote /Users/dave/src/elisp.repo/elisp/custom.el
Compiling /Users/dave/src/elisp.repo/elisp/custom.el...done
Wrote /Users/dave/src/elisp.repo/elisp/custom.elc
Making completion list...
-- 
Dave Abrahams           Meet me at BoostCon: http://www.boostcon.com
BoostPro Computing
http://www.boostpro.com






Acknowledgement sent to David Abrahams <dave@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5358; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 8 Jul 2016 01:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.